Vacation Tracker Docs
API ReferenceUsers

Get list of users

This API method returns a list of all users with their IDs, names, and basic info.

GET
/v1/users

Authorization

apiKeyAuth
x-api-key<token>

In: header

Query Parameters

nextToken?string

The nextToken returned by the previous API call.

limit?string

a number of users to return, between 25 and 500, default is 300. If the filters are provided, they'll be applied after the limit. The number of returned users might be less than the provided limit.

status?string

filter users by status, default is 'ACTIVE'

Value in"ACTIVE" | "INACTIVE" | "DELETED"
locations?string

a comma-sparated list of locations. Used for filtering, if provided, the API method will return leaves by users in one of the provided locations. By default, the API method returns leaves by users in any location.

departments?string

a comma-sparated list of departments. Used for filtering, if provided, the API method will return leaves by users in one of the provided departments. By default, the API method returns leaves by users in any department.

labels?string

a comma-sparated list of labels. Used for filtering, if provided, the API method will return leaves by users with one of the provided labels. By default, the API method returns leaves by users with or without labels.

expand?string

expand leave request

Value in"location" | "department" | "holidays"

Response Body

application/json

curl -X GET "https://api.vacationtracker.io/v1/users"
{
  "status": "ok",
  "nextToken": "next-token",
  "data": [
    {
      "id": "user-cfe5d39b-f1f0-45aa-85cd-ce93e637a262",
      "name": "Jomh Chao",
      "email": "johnchao@chaochao.com",
      "isAdmin": false,
      "locationId": "location-79c77ac8-e5bf-479f-9488-648a58379ff1",
      "departmentId": "team-0a21c25e-6925-4a5b-90ee-ecf82096c4f6",
      "labels": [
        "contractor"
      ],
      "status": "ACTIVE",
      "employeeId": "uuid-id",
      "startDate": "2022-11-08",
      "endDate": "2022-11-08",
      "location": {
        "id": "locations-6ca89536-be55-42c5-8e52-c5c4215afb9f",
        "name": "Los Angeles",
        "timezone": "America/Los_Angeles",
        "isDefault": false,
        "createdAt": "2022-08-22T15:00:00.000Z"
      },
      "department": {
        "id": "teams-969f8429-7dc3-48a1-96b1-6049a99dda06",
        "name": "Dev Team",
        "isDefault": false,
        "createdAt": "2022-08-22T15:00:00.000Z"
      },
      "holidays": [
        {
          "year": 2025,
          "holidays": [
            {
              "id": "h-12345",
              "name": "Christmas Day",
              "date": "2025-12-25",
              "isHalfDay": false
            }
          ]
        }
      ]
    }
  ]
}
Empty
Empty